QGIS Application - Feature request #8500

Add the ability to get the original Getfeaturelnfo and GetLegendGraphic for WMS layers in QGIS
server
Description

I've originally posted this issue here #8491

When you add a WMS layer in a QGIS project to use it in QGIS server, you lose original information from GetFeaturelnfo and
GetLegendGraphic.

In QGIS Web Client (or any other client) you'll only have the name of the layer in the legend popup and you'll get no information popup at
all.

In QGIS Desktop it is impossible to override legends or feature information so | think the original GetFeaturelnfo and GetLegendGraphic
should be transmitted to client when querying WMS layers through QGIS server.

History

#1 - 2013-12-04 04:59 AM - Nicolas Boisteault
Am | the only one interested in this bug? | miss the possibility to add external WMS layers to my projects and to have the original GetFeaturelnfo and

GetLegendGraphic responses.

#2 - 2014-06-21 04:55 AM - Jiirgen Fischer

- Category set to QGIS Server

- Tracker changed from Bug report to Feature request

#3 - 2016-03-30 01:56 AM - Filip Mahieu

We too as an organisation would like to have these features. Especially the GetFeaturelnfo is important. More and more information is provided through
WMS, so this becomes more and more important.

When it is not possible, as it is now, we have to have the info as a shapefile (or other), and there is more maintenance.

Cloudservices as QGisCloud then would become more usefull(and so handy and time-saving, just upload the existing Qgs-project!) instead of our
expensive ArcGisServer..

Thanks

#4 - 2016-09-29 06:52 AM - Carl Defevere

We're also interested in this feature. We have a lot of external GIS data available as WMS and being able to identify those layers in the QGis Web Client

would be a big plus.

#5 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

2025-04-27 22



